## PopplerAnnot PopplerAnnot — Annotations |

## Synopsis

                        PopplerAnnot;
    PopplerAnnotCalloutLine * poppler_annot_callout_line_copy
                                                            (PopplerAnnotCalloutLine *callout);
    void                poppler_annot_callout_line_free     (PopplerAnnotCalloutLine *callout);
    GType               poppler_annot_callout_line_get_type (void);
    PopplerAnnotCalloutLine * poppler_annot_callout_line_new
                                                            (void);
    GType               poppler_annot_external_data_type_get_type
                                                            (void);
    GType               poppler_annot_flag_get_type         (void);
    PopplerAnnotCalloutLine * poppler_annot_free_text_get_callout_line
                                                            (PopplerAnnotFreeText *poppler_annot);
    PopplerAnnotFreeTextQuadding  poppler_annot_free_text_get_quadding
                                                            (PopplerAnnotFreeText *poppler_annot);
    GType               poppler_annot_free_text_get_type    (void);
    GType               poppler_annot_free_text_quadding_get_type
                                                            (void);
    PopplerAnnotType    poppler_annot_get_annot_type        (PopplerAnnot *poppler_annot);
    PopplerColor *      poppler_annot_get_color             (PopplerAnnot *poppler_annot);
    gchar *             poppler_annot_get_contents          (PopplerAnnot *poppler_annot);
    PopplerAnnotFlag    poppler_annot_get_flags             (PopplerAnnot *poppler_annot);
    gchar *             poppler_annot_get_modified          (PopplerAnnot *poppler_annot);
    gchar *             poppler_annot_get_name              (PopplerAnnot *poppler_annot);
    GType               poppler_annot_get_type              (void);
    PopplerAnnotMapping * poppler_annot_mapping_copy        (PopplerAnnotMapping *mapping);
    void                poppler_annot_mapping_free          (PopplerAnnotMapping *mapping);
    GType               poppler_annot_mapping_get_type      (void);
    PopplerAnnotMapping * poppler_annot_mapping_new         (void);
    GDate *             poppler_annot_markup_get_date       (PopplerAnnotMarkup *poppler_annot);
    PopplerAnnotExternalDataType  poppler_annot_markup_get_external_data
                                                            (PopplerAnnotMarkup *poppler_annot);
    gchar *             poppler_annot_markup_get_label      (PopplerAnnotMarkup *poppler_annot);
    gdouble             poppler_annot_markup_get_opacity    (PopplerAnnotMarkup *poppler_annot);
    gboolean            poppler_annot_markup_get_popup_is_open
                                                            (PopplerAnnotMarkup *poppler_annot);
    PopplerAnnotMarkupReplyType  poppler_annot_markup_get_reply_to
                                                            (PopplerAnnotMarkup *poppler_annot);
    gchar *             poppler_annot_markup_get_subject    (PopplerAnnotMarkup *poppler_annot);
    GType               poppler_annot_markup_get_type       (void);
    GType               poppler_annot_markup_reply_type_get_type
                                                            (void);
    PopplerMovie *      poppler_annot_movie_get_movie       (PopplerAnnotMovie *poppler_annot);
    gchar *             poppler_annot_movie_get_title       (PopplerAnnotMovie *poppler_annot);
    GType               poppler_annot_movie_get_type        (void);
    gchar *             poppler_annot_text_get_icon         (PopplerAnnotText *poppler_annot);
    gboolean            poppler_annot_text_get_is_open      (PopplerAnnotText *poppler_annot);
    PopplerAnnotTextState  poppler_annot_text_get_state     (PopplerAnnotText *poppler_annot);
    GType               poppler_annot_text_get_type         (void);
    GType               poppler_annot_text_state_get_type   (void);
    GType               poppler_annot_type_get_type         (void);

## Description

## Details

### PopplerAnnot

    typedef struct _PopplerAnnot PopplerAnnot;

### poppler_annot_callout_line_copy ()

    PopplerAnnotCalloutLine * poppler_annot_callout_line_copy
                                                            (PopplerAnnotCalloutLine *callout);

It does copy `callout` to a new PopplerAnnotCalloutLine.

`callout` : | the PopplerAnnotCalloutline to be copied.
Returns : | a new allocated PopplerAnnotCalloutLine as exact copy of `callout`, NULL in other case. It must be freed when done.

### poppler_annot_callout_line_free ()

    void                poppler_annot_callout_line_free     (PopplerAnnotCalloutLine *callout);

Frees the memory used by PopplerAnnotCalloutLine.

`callout` : | a PopplerAnnotCalloutLine

### poppler_annot_callout_line_get_type ()

    GType               poppler_annot_callout_line_get_type (void);

Returns : |

### poppler_annot_callout_line_new ()

    PopplerAnnotCalloutLine * poppler_annot_callout_line_new
                                                            (void);

Creates a new empty PopplerAnnotCalloutLine.

Returns : | a new allocated PopplerAnnotCalloutLine, NULL in other case. It must be freed when done.

### poppler_annot_external_data_type_get_type ()

    GType               poppler_annot_external_data_type_get_type
                                                            (void);

Returns : |

### poppler_annot_flag_get_type ()

    GType               poppler_annot_flag_get_type         (void);

Returns : |

### poppler_annot_free_text_get_callout_line ()

    PopplerAnnotCalloutLine * poppler_annot_free_text_get_callout_line
                                                            (PopplerAnnotFreeText *poppler_annot);

Retrieves a PopplerCalloutLine of four or six numbers specifying a callout line attached to the `poppler_annot`.

`poppler_annot` : | a PopplerAnnotFreeText
Returns : | a new allocated PopplerCalloutLine if the annot has a callout line, NULL in other case. It must be freed with `g_free()` when done.

### poppler_annot_free_text_get_quadding ()

    PopplerAnnotFreeTextQuadding  poppler_annot_free_text_get_quadding
                                                            (PopplerAnnotFreeText *poppler_annot);

Retrieves the justification of the text of `poppler_annot`.

`poppler_annot` : | a PopplerAnnotFreeText
Returns : | PopplerAnnotFreeTextQuadding of `poppler_annot`.

### poppler_annot_free_text_get_type ()

    GType               poppler_annot_free_text_get_type    (void);

Returns : |

### poppler_annot_free_text_quadding_get_type ()

    GType               poppler_annot_free_text_quadding_get_type
                                                            (void);

Returns : |

### poppler_annot_get_annot_type ()

    PopplerAnnotType    poppler_annot_get_annot_type        (PopplerAnnot *poppler_annot);

Gets the type of `poppler_annot`

`poppler_annot` : | a PopplerAnnot
Returns : | PopplerAnnotType of `poppler_annot`.

### poppler_annot_get_color ()

    PopplerColor *      poppler_annot_get_color             (PopplerAnnot *poppler_annot);

Retrieves the color of `poppler_annot`.

`poppler_annot` : | a PopplerAnnot
Returns : | a new allocated PopplerColor with the color values of `poppler_annot`, or `NULL`. It must be freed with `g_free()` when done.

### poppler_annot_get_contents ()

    gchar *             poppler_annot_get_contents          (PopplerAnnot *poppler_annot);

Retrieves the contents of `poppler_annot`.

`poppler_annot` : | a PopplerAnnot
Returns : | a new allocated string with the contents of `poppler_annot`. It must be freed with `g_free()` when done.

### poppler_annot_get_flags ()

    PopplerAnnotFlag    poppler_annot_get_flags             (PopplerAnnot *poppler_annot);

Retrieves the flag field specifying various characteristics of the `poppler_annot`.

`poppler_annot` : | a PopplerAnnot
Returns : | the flag field of `poppler_annot`.

### poppler_annot_get_modified ()

    gchar *             poppler_annot_get_modified          (PopplerAnnot *poppler_annot);

Retrieves the last modification data of `poppler_annot`. The returned string will be either a PDF format date or a text string. See also #`poppler_date_parse()`

`poppler_annot` : | a PopplerAnnot
Returns : | a new allocated string with the last modification data of `poppler_annot`. It must be freed with `g_free()` when done.

### poppler_annot_get_name ()

    gchar *             poppler_annot_get_name              (PopplerAnnot *poppler_annot);

Retrieves the name of `poppler_annot`.

`poppler_annot` : | a PopplerAnnot
Returns : | a new allocated string with the name of `poppler_annot`. It must be freed with `g_free()` when done.

### poppler_annot_get_type ()

    GType               poppler_annot_get_type              (void);

Returns : |

### poppler_annot_mapping_copy ()

    PopplerAnnotMapping * poppler_annot_mapping_copy        (PopplerAnnotMapping *mapping);

`mapping` : |
Returns : |

### poppler_annot_mapping_free ()

    void                poppler_annot_mapping_free          (PopplerAnnotMapping *mapping);

`mapping` : |

### poppler_annot_mapping_get_type ()

    GType               poppler_annot_mapping_get_type      (void);

Returns : |

### poppler_annot_mapping_new ()

    PopplerAnnotMapping * poppler_annot_mapping_new         (void);

Returns : |

### poppler_annot_markup_get_date ()

    GDate *             poppler_annot_markup_get_date       (PopplerAnnotMarkup *poppler_annot);

`poppler_annot` : |
Returns : |

### poppler_annot_markup_get_external_data ()

    PopplerAnnotExternalDataType  poppler_annot_markup_get_external_data
                                                            (PopplerAnnotMarkup *poppler_annot);

Gets the external data type of `poppler_annot`.

`poppler_annot` : | a PopplerAnnotMarkup
Returns : | PopplerAnnotExternalDataType of `poppler_annot`.

### poppler_annot_markup_get_label ()

    gchar *             poppler_annot_markup_get_label      (PopplerAnnotMarkup *poppler_annot);

Retrieves the label text of `poppler_annot`.

`poppler_annot` : | a PopplerAnnotMarkup
Returns : | the label text of `poppler_annot`.

### poppler_annot_markup_get_opacity ()

    gdouble             poppler_annot_markup_get_opacity    (PopplerAnnotMarkup *poppler_annot);

Retrieves the opacity value of `poppler_annot`.

`poppler_annot` : | a PopplerAnnotMarkup
Returns : | the opacity value of `poppler_annot`.

### poppler_annot_markup_get_popup_is_open ()

    gboolean            poppler_annot_markup_get_popup_is_open
                                                            (PopplerAnnotMarkup *poppler_annot);

Retrieves the state of the popup annot related to `poppler_annot`.

`poppler_annot` : | a PopplerAnnotMarkup
Returns : | the state of `poppler_annot`. `TRUE` if it's open, `FALSE` in other case.

### poppler_annot_markup_get_reply_to ()

    PopplerAnnotMarkupReplyType  poppler_annot_markup_get_reply_to
                                                            (PopplerAnnotMarkup *poppler_annot);

Gets the reply type of `poppler_annot`.

`poppler_annot` : | a PopplerAnnotMarkup
Returns : | PopplerAnnotMarkupReplyType of `poppler_annot`.

### poppler_annot_markup_get_subject ()

    gchar *             poppler_annot_markup_get_subject    (PopplerAnnotMarkup *poppler_annot);

Retrives the subject text of `poppler_annot`.

`poppler_annot` : | a PopplerAnnotMarkup
Returns : | the subject text of `poppler_annot`.

### poppler_annot_markup_get_type ()

    GType               poppler_annot_markup_get_type       (void);

Returns : |

### poppler_annot_markup_reply_type_get_type ()

    GType               poppler_annot_markup_reply_type_get_type
                                                            (void);

Returns : |

### poppler_annot_movie_get_movie ()

    PopplerMovie *      poppler_annot_movie_get_movie       (PopplerAnnotMovie *poppler_annot);

Retrieves the movie object (PopplerMovie) stored in the `poppler_annot`.

`poppler_annot` : | a PopplerAnnotMovie
Returns : | the movie object stored in the `poppler_annot`. The returned object is owned by PopplerAnnotMovie and should not be freed

### poppler_annot_movie_get_title ()

    gchar *             poppler_annot_movie_get_title       (PopplerAnnotMovie *poppler_annot);

Retrieves the movie title of `poppler_annot`.

`poppler_annot` : | a PopplerAnnotMovie
Returns : | the title text of `poppler_annot`.

### poppler_annot_movie_get_type ()

    GType               poppler_annot_movie_get_type        (void);

Returns : |

### poppler_annot_text_get_icon ()

    gchar *             poppler_annot_text_get_icon         (PopplerAnnotText *poppler_annot);

Gets the icon type of `poppler_annot`.

`poppler_annot` : | a PopplerAnnotText
Returns : | PopplerAnnotTextIcon of `poppler_annot`.

### poppler_annot_text_get_is_open ()

    gboolean            poppler_annot_text_get_is_open      (PopplerAnnotText *poppler_annot);

Retrieves the state of `poppler_annot`.

`poppler_annot` : | a PopplerAnnotText
Returns : | the state of `poppler_annot`. `TRUE` if it's open, `FALSE` in other case.

### poppler_annot_text_get_state ()

    PopplerAnnotTextState  poppler_annot_text_get_state     (PopplerAnnotText *poppler_annot);

Retrieves the state of `poppler_annot`.

`poppler_annot` : | a PopplerAnnotText
Returns : | PopplerAnnotTextState of `poppler_annot`.

### poppler_annot_text_get_type ()

    GType               poppler_annot_text_get_type         (void);

Returns : |

### poppler_annot_text_state_get_type ()

    GType               poppler_annot_text_state_get_type   (void);

Returns : |

### poppler_annot_type_get_type ()

    GType               poppler_annot_type_get_type         (void);

Returns : |